%% Purdue letterhead/memo option for LaTeX letter style.
%% Adam Hammer Thu Nov 14 12:00:00 EST 1996
%% Charles Fultz Wed Oct 16 11:11:11 EST 2002
%% Daniel Trinkle 2 Dec 2002
%%
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{letter}}
%
% option processing borrowed from smslett.dtx by Don Taylor, University of Sydney
%
\def\@checkoptions#1#2{%
  \edef\@curroptions{\@ptionlist{\@currname.\@currext}}%
  \@tempswafalse
  \@tfor\@this:=#2\do{%
    \@expandtwoargs\in@{,\@this,}{,\@curroptions,}%
    \ifin@ \@tempswatrue \@break@tfor \fi}%
  \let\@this\@empty
  \if@tempswa \else \PassOptionsToClass{#1}{letter}\fi
}
\@checkoptions{12pt}{{10pt}{11pt}{12pt}}
\PassOptionsToClass{letterpaper}{letter}
\ExecuteOptions{letterpaper,12pt,oneside,onecolumn,final}
\ProcessOptions\relax
%
\LoadClass{letter}
\usepackage{graphicx}
\usepackage{color}
\ProvidesClass{pulet}[2002/12/30 Purdue University letter class]
%
\setlength{\longindentation}{0pt}
\setlength\headheight{18\p@}
\setlength{\headsep}{.25in}
\font\deptfont=phvr8r at 7truept
\font\headfont=phvr8r at 10truept
\definecolor{pugold}{rgb}{0.808,0.722,0.566} % Boilermaker Gold C rgb: 207 185 145
\oddsidemargin0.75in
\textwidth5.75in
\topmargin0in
\footskip0in
%\raggedright
%\raggedbottom
%
\newif\ifcolorlogo
\newcommand{\ColorLogo}{\colorlogotrue}
\newcommand{\addsep}[2]{\ifx\@empty#1\ifx\@empty#2\else{ \sqbox }\fi\else\ifx\@empty#2\else{ \sqbox }\fi\fi}
\newcommand*{\fax}[1]{\def\faxnum{#1}}
\newcommand*{\email}[1]{\def\emailaddr{#1}}
\newcommand*{\url}[1]{\def\urladdr{#1}}
\newcommand*{\department}[1]{\def\departname{#1}}
\newcommand*{\building}[1]{\def\buildname{#1}}
\newcommand*{\streetaddr}[1]{\def\buildaddr{#1}}
\newcommand*{\citystate}[1]{\def\cityst{#1}}
\newcommand{\sqbox}{\hskip.3mm\rule[.25mm]{1mm}{1mm}\hskip.4mm\ }
\newcommand{\deptfoot}{
  \deptfont
  {\ifcolorlogo\color{pugold}\fi\hrulefill}
  \\
  \raisebox{-2ex}{%
    \buildname%
    \addsep{\buildname}{\buildaddr}%
    \buildaddr%
    \addsep{\buildaddr}{\cityst}%
    \cityst%
  } \hfill
  \\
  \raisebox{-2ex}{%
    \telephonenum%
    \addsep{\telephonenum}{\faxnum}%
    \ifx\@empty\faxnum{}\else{Fax: \faxnum}\fi%
    \addsep{\faxnum}{\emailaddr}%
    \emailaddr%
    \addsep{\emailaddr}{\urladdr}%
    \urladdr%
  } \hfill
}
\renewcommand*{\opening}[1]{\ifx\@empty\fromaddress
  \thispagestyle{empty}%
    {\relax}%
  \else  % home address
    \thispagestyle{empty}%
    {\makebox[2.417in]{}\begin{tabular}{l@{}}\ignorespaces
      \fromaddress\end{tabular}\par}%
  \fi
  \@date\par
  \vspace{2\parskip}%
  {\raggedright \toname \\ \toaddress \par}%
  \vspace{2\parskip}%
  #1\par\nobreak}
\renewcommand{\ps@empty}{
   \renewcommand{\@oddhead}{
	\vbox{
	   \ifcolorlogo%
	     \vskip-0.25in\hskip-0.78in{%
	       \includegraphics[width=4.625in]{PU_signature}
	     }
	   \else%
	     \vskip-0.25in\hskip-0.78in{%
	       \includegraphics[width=4.625in]{PU_signature_bw}
	     }
	   \fi%
	}
   }
   \renewcommand{\@oddfoot}{
	\vbox{
	   \ifcase \@ptsize\relax
	     \vskip1.263in\hskip-0.027in{\deptfoot}
	   \or
	     \vskip1.388in\hskip-0.027in{\deptfoot}
	   \or
	     \vskip1.290in\hskip-0.040in{\deptfoot}
	   \fi
	}
   }
}
% Set Department Defaults
%
% footer consists of two lines with (any may be set to an empty value)
% \building * \streetaddr * \citystate
% \telephone * Fax: \fax * \email * \url
%
\building{The Richard and Patricia Lawson Computer Science Building}
\streetaddr{305 N. University Street}
\citystate{West Lafayette, IN 47907-2107}
%
\telephone{Phone: (765) 494-6010}
\fax{(765) 494-0739}
\email{}
\url{www.cs.purdue.edu}
